Summary: The GNU crypto library
Name: libgcrypt
Version: 1.1.7
Release: 1
Source: ftp://ftp.gnupg.org/gcrypt/alpha/libgcrypt/libgcrypt-%{version}.tar.gz
Packager: Carles Arjona <nospammer@bigfoot.com>
URL: http://www.gnu.org/directory/Security/libgcrypt.html
Copyright: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root

%description
Libgcrypt is a general purpose cryptographic library based on the code
from GnuPG. It provides functions for all cryptograhic building blocks:
symmetric ciphers (AES,DES,Blowfish,CAST5,Twofish,Arcfour), hash algorithms
(MD5, RIPE-MD160, SHA-1, TIGER-192), MACs (HMAC for all hash algorithms),
public key algorithms (RSA, ElGamal, DSA), large integer functions, random
numbers and a lot of supporting functions

%package devel
Summary: Libraries, includes, etc to develop libgcrypt applications
Group: Development/Libraries
Requires: libgcrypt

%description devel
The libgcrypt-devel package contains the header files and libraries
needed to develop programs that use the GNU crypto library.

Install the libcrypt-devel package if you want to develop applications
that will use the libcrypt library.

%prep
%setup
%build
./configure --prefix=/usr --infodir=%{_infodir}
make

%install
[ "$RPM_BUILD_ROOT" != "" ] && rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr infodir=$RPM_BUILD_ROOT%{_infodir} install

%clean
[ "$RPM_BUILD_ROOT" != "" ] && rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/libgcrypt.so
/usr/lib/libgcrypt.so.1
/usr/lib/libgcrypt.so.1.3.0

%files devel
/usr/bin/libgcrypt-config
/usr/include/gcrypt.h
%{_infodir}/gcrypt*
/usr/lib/libgcrypt.a
/usr/lib/libgcrypt.la
/usr/share/aclocal/libgcrypt.m4
%doc AUTHORS BUGS ChangeLog COPYING* INSTALL NEWS README THANKS TODO

%changelog
* Wed Aug 14 2002 Carles Arjona <nospammer@bigfoot.com>
* Version 1.1.7-1 RPM
- Built SPEC from scratch
